Package org.eclipse.net4j

## Class TransportInjector

- java.lang.Object
- - org.eclipse.net4j.TransportInjector

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IElementProcessor`

      public class TransportInjector
      extends java.lang.Object
      implements org.eclipse.net4j.util.container.IElementProcessor

  An element post processor that injects a `transport configuration` into the `connectors` and `acceptors` of a `managed container`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransportInjector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected IBufferProvider` | `getBufferProvider​(org.eclipse.net4j.util.container.IManagedContainer container)` |
    `protected java.util.concurrent.ExecutorService` | `getExecutorService​(org.eclipse.net4j.util.container.IManagedContainer container)` |
    `java.lang.Object` | `process​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)` |
    `protected void` | `processAcceptor​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String factoryType, java.lang.String description, InternalAcceptor acceptor)` |
    `protected void` | `processConnector​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String factoryType, java.lang.String description, InternalConnector connector)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportInjector

          public TransportInjector()

  - ### Method Detail

    - #### process

          public java.lang.Object process​(org.eclipse.net4j.util.container.IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `org.eclipse.net4j.util.container.IElementProcessor`

    - #### processAcceptor

          protected void processAcceptor​(org.eclipse.net4j.util.container.IManagedContainer container,
                                         java.lang.String factoryType,
                                         java.lang.String description,
                                         InternalAcceptor acceptor)

    - #### processConnector

          protected void processConnector​(org.eclipse.net4j.util.container.IManagedContainer container,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          InternalConnector connector)

    - #### getBufferProvider

          protected IBufferProvider getBufferProvider​(org.eclipse.net4j.util.container.IManagedContainer container)

      Since:
        2.0

    - #### getExecutorService

          protected java.util.concurrent.ExecutorService getExecutorService​(org.eclipse.net4j.util.container.IManagedContainer container)